[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TConnectionDef.ConnectionClass

Class to instantiate when this connection is requested

## Declaration

Source position: sqldb.pp line 580

`class function TConnectionDef.ConnectionClass: TSQLConnectionClass; virtual;`

## Function result

The TSQLConnectionClass for this connection type.

## Description

ConnectionClass should return the connection class to use when a connection of this type is reqested. It must be overidden by descendents of TConnectionDef.

It may not be Nil.

## See also

TConnectionDef.TypeName |  | Name of the connection type

Documentation generated on: Feb 26 2014